# purefa_alert – Configure Pure Storage FlashArray alert email settings

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Configure alert email configuration for Pure Storage FlashArrays.
- Add or delete an individual syslog server to the existing list of serves.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address string / required |  | Email address (valid format required)
api_token string / required |  | FlashArray API token for admin privileged user.

enabled
boolean

Choices:
- no
- yes ←

Set specified email address to be enabled or disabled

fa_url string / required |  | FlashArray management IPv4 address or Hostname.

state
string

Choices:
- absent
- present ←

Create or delete alert email

## Notes

Note

- This module requires the `purestorage` Python library
- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Add new email recipient and enable, or enable existing email
      purefa_alert:
        address: "user@domain.com"
        enabled: true
        state: present
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Delete existing email recipient
      purefa_alert:
        state: absent
        address: "user@domain.com"
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Simon Dodsley (@sdodsley)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.